AuthorizationGroupImmutable (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2.impl, class: AuthorizationGroupImmutable

Package ch.systemsx.cisd.etlserver.registrator.api.v2.impl

# Class AuthorizationGroupImmutable

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.AuthorizationGroupImmutable

All Implemented Interfaces:
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAuthorizationGroupImmutable`, `ch.systemsx.cisd.openbis.generic.shared.basic.ICustomIdHolder<Long>`, `ch.systemsx.cisd.openbis.generic.shared.basic.IIdHolder`

public class AuthorizationGroupImmutable extends Object implements ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAuthorizationGroupImmutable, ch.systemsx.cisd.openbis.generic.shared.basic.IIdHolder

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthorizationGroupImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.AuthorizationGroup authorizationGroup)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCode()`
  `String`
  `getDescription()`
  `Long`
  `getId()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AuthorizationGroupImmutable

    public AuthorizationGroupImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.AuthorizationGroup authorizationGroup)

- ## Method Details

  - ### getCode

    public String getCode()
    Specified by:
      `getCode` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAuthorizationGroupImmutable`

  - ### getDescription

    public String getDescription()
    Specified by:
      `getDescription` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IAuthorizationGroupImmutable`

  - ### getId

    public Long getId()
    Specified by:
      `getId` in interface `ch.systemsx.cisd.openbis.generic.shared.basic.ICustomIdHolder<Long>`